Get details of a specific checkpoint

View as Markdown

Retrieve the checkpoint’s details.

Required scope: air:simulation_read (roles: air_org_admin, air_user)

Alternative: role air_trainee also grants access.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this checkpoint.

Response

idstringRead-onlyformat: "uuid"
runstringRead-onlyformat: "uuid"
The run during which the checkpoint was created.
stateenum

The current state of the checkpoint.

  • PENDING - Pending
  • COMPLETE - Complete
  • DELETED - Deleted
metadataanyRead-only
Metadata associated with the checkpoint.
createddatetimeRead-only
modifieddatetimeRead-only
namestringOptional<=128 characters
A customizable name.
favoritebooleanOptional
If the checkpoint should be favored over others when Air determines which checkpoints should be automatically deleted.

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error